#include <Widget/Panel/Panel.hpp>

Panel::Panel(glm::ivec2 minSize, glm::vec4 color) : minSize(minSize), color(color) {}

glm::ivec2 Panel::getMinSize()
{
    return minSize;
}

void Panel::draw(GraphicsContext &context)
{
    context.color = color;
    context.drawMaterial(Material::white, 0, 0, m_size[0], m_size[1]);
}